DesmetMartin Posted August 17, 2016 Posted August 17, 2016 (edited) Hello all, I wondered if it's possible to have a kind of command or lisp that gets the continue and baseline command in one single command? In the picture below you see the result I need in one command. Now it is done in 2 commands and it's taking a lot of time. Can somebody help me? Thanks! Kind regards, Martin Edited August 17, 2016 by DesmetMartin Quote
BIGAL Posted August 18, 2016 Posted August 18, 2016 A few different ways to do it a suggestion just pick points using a lisp, in dim order, save in a list and run the two dim commands one after the other. pick pt1 pt2 pt3 pt4 dim pt1 pt2, dim pt2 pt3 etc in a loop dim base pt1 pt1v pt2 pt3 pt4 pt5 etc Ps I do the horizontals all in one go just drag a line over the verticals. Its what I call Autodimensioning, sorry its copy right. pretty sure there are versions out there, check maybe www.Lee-mac.com Quote
ssdd Posted August 19, 2016 Posted August 19, 2016 (edited) (defun c:tt() (setq p1 (getpoint "\nStarting Point") p2 (getpoint p1"\nEnd Point") nn (getint "Number:") lst nil) (if (and p1 p2 nn) (progn (setq lst (dividex p1 p2 nn) sc (* (getvar "DIMTXT") (getvar "DIMSCALE"))) (mapcar '(lambda (x y) (command ".dimaligned" "_non" X "_non" Y "_non" (polar x (- (angle x y) (* 0.5 pi)) (* 5 sc))) (command "_text" "_non" (polar x (- (angle x y) (* 0.5 pi)) (* 5.5 sc)) sc (* (/ (- (angle x y) (* 0.5 pi)) pi) 180.0) (rtos (distance x p1) 2 2) "") ) lst (cdr lst)) )) )(princ) (defun dividex ( s e i / a r sl) (setq r (list s) a (angle s e) sl (/ (distance s e) i) ; ) (repeat (fix i) (setq r (cons (polar (car r) a sl) r)) ) ) Edited August 23, 2016 by ssdd Quote
BIGAL Posted August 19, 2016 Posted August 19, 2016 ssdd good idea but if the lines are at all different spacings then it won't work. Hence using the fence option. Quote
DesmetMartin Posted August 22, 2016 Author Posted August 22, 2016 @SSSD: This LISP doens't work... It's not really what I'm searching for, but thanks anyway @BIGAL: I don't get it what you mean.. Quote
BIGAL Posted September 10, 2016 Posted September 10, 2016 (edited) I am suprised some else has not posted its not that hard, have a look at the images, the dims were done in single pass, it was done using fence and ssget. Edited September 12, 2016 by BIGAL Quote
mdbdesign Posted September 11, 2016 Posted September 11, 2016 Bigal, your link is not working. It is taking me to edit your post. Can you check it please? This is the message: mdbdesign, you do not have permission to access this page. This could be due to one of several reasons: Your user account may not have sufficient privileges to access this page. Are you trying to edit someone else's post, access administrative features or some other privileged system? If you are trying to post, the administrator may have disabled your account, or it may be awaiting activation. Quote
BIGAL Posted September 12, 2016 Posted September 12, 2016 Changed post, image quality is not the best but just drag a line over other lines and all dims appear. Took about 2 seconds to do. Quote
DesmetMartin Posted October 26, 2016 Author Posted October 26, 2016 (edited) I still don't really know how to do it Anybody that can help? Edited October 28, 2016 by DesmetMartin Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.